import { request } from '@/plugins/http-fetch';

/**
 * 备份文件-获取FTP配置
 * @returns object
 */
export function getBackupFTP() {
  return request({
    url: '/neData/backup/ftp',
    method: 'GET',
  });
}

/**
 * 备份文件-文件FTP发送
 * @param data 对象
 * @returns object
 */
export function pushBackupFTP(data: Record<string, any>) {
  return request({
    url: '/neData/backup/ftp',
    method: 'POST',
    data,
  });
}

/**
 * 备份文件-更新FTP配置
 * @param data 对象
 * @returns object
 */
export function updateBackupFTP(data: Record<string, any>) {
  return request({
    url: '/neData/backup/ftp',
    method: 'PUT',
    data,
  });
}
